You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Björn R. <br...@us...> - 2007-07-25 13:44:05
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv22271 Modified Files: httpd Log Message: added some config-settings for Apache (choose MPM, cache, WebDAV, ...) Index: httpd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/httpd,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- httpd 20 Mar 2007 02:41:45 -0000 1.9 +++ httpd 25 Jul 2007 13:44:01 -0000 1.10 @@ -28,14 +28,28 @@ case $1 in build ) if [ "$CONFIG_HTTPD" = "y" ]; then - ./configure --enable-v4-mapped --enable-auth-anon --enable-auth-dbm --enable-auth-digest \ - --enable-case-filter --enable-case-filter-in --enable-ext-filter \ - --enable-deflate --enable-logio --enable-mime-magic --enable-cern-meta --enable-expires --enable-headers \ - --enable-usertrack --enable-unique-id --enable-proxy --enable-proxy-connect --enable-proxy-ftp --enable-proxy-http \ - --enable-ssl=shared --enable-bucketeer --enable-http --enable-info --enable-cgi --enable-vhost-alias \ - --enable-rewrite --enable-so --enable-dav --enable-dav-fs \ - --enable-mods-shared=all --enable-suexec --with-suexec-caller=www \ - --enable-layout=Debian --enable-mem-cache --enable-disk-cache --enable-cache || exit 1 + PARAMS="" + PARAMS="$PARAMS --with-mpm=$CONFIG_HTTP_MPM" + if [ "$CONFIG_HTTP_NONPORTATOM" = "y" ]; then + PARAMS="$PARAMS --enable-nonportable-atomics=yes" + fi + if [ "$CONFIG_HTTP_PROXY" = "y" ]; then + PARAMS="$PARAMS --enable-proxy --enable-proxy-ajp --enable-proxy-balancer --enable-proxy-connect --enable-proxy-ftp --enable-proxy-http" + fi + if [ "$CONFIG_HTTP_DAV" = "y" ]; then + PARAMS="$PARAMS --enable-dav --enable-dav-fs --enable-dav-lock" + fi + if [ "$CONFIG_HTTPD_CACHE" = "y" ]; then + PARAMS="$PARAMS --enable-mem-cache --enable-disk-cache --enable-cache" + fi + PARAMS="$PARAMS --enable-v4-mapped --enable-auth-anon --enable-auth-dbm --enable-auth-digest" + PARAMS="$PARAMS --enable-case-filter --enable-case-filter-in --enable-ext-filter" + PARAMS="$PARAMS --enable-deflate --enable-logio --enable-mime-magic --enable-cern-meta --enable-expires --enable-headers" + PARAMS="$PARAMS --enable-usertrack --enable-unique-id" + PARAMS="$PARAMS --enable-ssl=shared --enable-bucketeer --enable-http --enable-info --enable-cgi --enable-vhost-alias" + PARAMS="$PARAMS --enable-rewrite --enable-so" + PARAMS="$PARAMS --enable-mods-shared=all --enable-suexec --with-suexec-caller=www --enable-layout=Debian" + ./configure $PARAMS || exit 1 # not working --enable-ldap --enable-auth-ldap make $PMAKE all || exit 1 strip_debug |
|
From: Björn R. <br...@us...> - 2007-07-25 12:46:19
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv24345 Modified Files: mod_perl Log Message: CONFIG_MOD_PERL was not honored by the script.. Index: mod_perl =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mod_perl,v retrieving revision 1.3 retrieving revision 1.4 diff -u -d -r1.3 -r1.4 --- mod_perl 23 Feb 2007 15:25:38 -0000 1.3 +++ mod_perl 25 Jul 2007 12:21:43 -0000 1.4 @@ -23,17 +23,21 @@ case $1 in build ) if [ "$CONFIG_HTTPD" = "y" ]; then - perl Makefile.PL MP_APXS=/usr/sbin/apxs || exit 1 - make || exit 1 - strip_debug + if [ "$CONFIG_MOD_PERL" = "y" ]; then + perl Makefile.PL MP_APXS=/usr/sbin/apxs || exit 1 + make || exit 1 + strip_debug + fi fi ;; install ) if [ "$CONFIG_HTTPD" = "y" ]; then - make install DESTDIR=$TMPDIR || exit 1 - cp src/modules/perl/mod_perl.so $CDDIR/usr/lib/apache2/modules/ || exit 1 - rm -rf $TMPDIR || exit 1 + if [ "$CONFIG_MOD_PERL" = "y" ]; then + make install DESTDIR=$TMPDIR || exit 1 + cp src/modules/perl/mod_perl.so $CDDIR/usr/lib/apache2/modules/ || exit 1 + rm -rf $TMPDIR || exit 1 + fi fi ;; |
|
From: Serge L. <sma...@us...> - 2007-07-24 09:37:30
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv22840 Modified Files: mktemp Log Message: - duplicate of mktemp from debianutils Index: mktemp =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mktemp,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- mktemp 15 Jun 2007 13:23:54 -0000 1.2 +++ mktemp 24 Jul 2007 09:37:13 -0000 1.3 @@ -23,6 +23,9 @@ # source functions and config source $MYDIR/settings +# Disabled due to duplicating of mktemp from debianutils +exit 0 + case $1 in build ) if [ ! -f .dl_patch_done ]; then |
|
From: Björn R. <br...@us...> - 2007-07-24 08:08:07
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv22082 Modified Files: CHANGES Log Message: ported RUNFROMRAM from 1.2-branch Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1114 retrieving revision 1.1115 diff -u -d -r1.1114 -r1.1115 --- CHANGES 20 Jul 2007 11:11:51 -0000 1.1114 +++ CHANGES 24 Jul 2007 08:08:04 -0000 1.1115 @@ -22,6 +22,7 @@ # 1.3.4 +- ported RUNFROMRAM from 1.2-branch (fl,brudner) - changed /etc/init.d/localnet to use iproute2 instead of ifconfig (brudner) - fixed list of ethernet-cards in setup-script to use lspci (brudner) - added group $time to insserv.conf (brudner) |
|
From: Björn R. <br...@us...> - 2007-07-24 08:07:02
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv21707 Modified Files: setup Log Message: ported RUNFROMRAM from 1.2-branch Index: setup =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/setup,v retrieving revision 1.29 retrieving revision 1.30 diff -u -d -r1.29 -r1.30 --- setup 20 Jul 2007 08:28:22 -0000 1.29 +++ setup 24 Jul 2007 08:06:56 -0000 1.30 @@ -293,6 +293,7 @@ APM "Enable APM at boot time [$ENABLE_APM] " \ FS "Config filesystem (if cannot determine) [$FS_TYPE] " \ YP "NIS/YP Domain Name [$YPDOMAINNAME] " \ + FROMRAM "Run from RAM without mounted CD-Rom [$RUNFROMRAM] " \ 2> $RESULT RETURN=$? CONFMENU="$(cat $RESULT)" @@ -366,6 +367,11 @@ && mod_config $CONFIG ENABLE_APM yes \ || mod_config $CONFIG ENABLE_APM no ;; + FROMRAM) + askyesno "Run from RAM" "Run the whole system from RAM by loading the system ISO image to\na ramdisk and loop mount it from there.\nThis can add anything from 30 seconds to 2 minutes or more\nto your systems boot time depending on your hardware." $RUNFROMRAM \ + && mod_config $CONFIG RUNFROMRAM yes \ + || mod_config $CONFIG RUNFROMRAM no + ;; *) return 0 ;; |
|
From: Björn R. <br...@us...> - 2007-07-24 08:06:11
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv21329 Modified Files: config Log Message: ported RUNFROMRAM from 1.2-branch Index: config =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/config,v retrieving revision 1.28 retrieving revision 1.29 diff -u -d -r1.28 -r1.29 --- config 20 Apr 2007 13:22:03 -0000 1.28 +++ config 24 Jul 2007 08:06:08 -0000 1.29 @@ -86,6 +86,13 @@ # Beep when system is done booting. START_BEEP=yes +# Run the whole system from RAM by loading the system ISO image to +# a ramdisk and loop mount it from there. +# NOTES: +# - This can add anything from 30 seconds to 2 minutes or more +# to your systems boot time depending on your hardware. +RUNFROMRAM=no + # Set this to yes to disable the automatic Raid Device Initialization # you normal should not need to do this DISABLE_MD_AUTOSTART=no |
|
From: Björn R. <br...@us...> - 2007-07-24 08:04:53
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv20943 Modified Files: linuxrc mount_cdrom Log Message: build/config/etc/initrd/mount_cdrom Index: linuxrc =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v retrieving revision 1.94 retrieving revision 1.95 diff -u -d -r1.94 -r1.95 --- linuxrc 6 Jul 2007 04:04:39 -0000 1.94 +++ linuxrc 24 Jul 2007 08:04:46 -0000 1.95 @@ -179,6 +179,7 @@ # give klogd some time to start sleep 1 + # mount proc mount -n -t proc proc /proc @@ -257,7 +258,7 @@ if ask_yes_no ; then /probe_all_scsi_modules fi - if ! /mount_cdrom /cdrom noreboot ; then + if ! /mount_cdrom /cdrom -noreboot ; then $RED echo -e "Cannot find CD drive - try probing for SCSI controllers" $NORMAL @@ -321,6 +322,22 @@ /mount_cdrom /cdrom fi tar -C /shm -xjf /cdrom/config/etc.tar.bz2 + # + # we unmount here to be able to possibly activate run from ram + # if that's activated by the default config + # (bug reported by Dmitry Komarov) + sync + let i=0 + while (! umount /cdrom 2>/dev/null) && [ $i -lt 10 ]; do + # at least in qemu there exists a race condition + # when unmounting the cdrom + let i=i+1 + sleep 1 + done + # + # FIXME - need to solve this in a nicer way as we search for + # the cd/image twice which is quite ugly (fl) + # else tar -C /shm -xjf /floppy/$DL_CONFIG_FILE fi @@ -397,15 +414,19 @@ mount -n --move /shm /cdrom/shm #umount /shm +echo -n "Unmounting " + # unmount proc because the final system will mount it again +$GREEN; echo " proc"; $NORMAL umount /proc # start the system by swapping /dev/ram0 and /shm -echo 'Starting up final system...' +echo "Starting up final system..." cd /cdrom #change to new root and start up the real system pivot_root . initrd +cd / # see "man 2 pivot_root" exec /usr/sbin/chroot . /sbin/pre_init $DL_CONFIG_SOURCE $DL_CONFIG_FILE $@ <shm/dev/console >shm/dev/console 2>&1 # something went wrong Index: mount_cdrom =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v retrieving revision 1.40 retrieving revision 1.41 diff -u -d -r1.40 -r1.41 --- mount_cdrom 23 Jul 2007 13:48:54 -0000 1.40 +++ mount_cdrom 24 Jul 2007 08:04:47 -0000 1.41 @@ -7,14 +7,239 @@ # # http://www.devil-linux.org # +#------------------------------------ +# usage: mount_cdrom [-silent] [-noreboot] mountpoint +# -silent reduce output to minimum +# -noreboot return error instead of halting on error +# # include our color definitions . colordefs -if [ "$3" != "silent" ]; then - $GREEN - echo "Searching for Devil-Linux CD-ROM" - $NORMAL +# parse command line options +mountpoint="" # where the cdrom/iso gets mounted +silent="" # empty = notsilent +noreboot="" # empty = reboot on error +while [ $# -gt 0 ]; do + case "$1" in + -silent ) silent=1;; + -noreboot ) noreboot=1;; + * ) [ -z "$mountpoint" ] && mountpoint="$1";; + esac + shift +done + +DELAY=200000 # usec +busy () { + # busy - print rotating busy indicator + # inspired by http://www.shelldorado.com/newsletter/issues/2001-1-Jan.html + # but this version works with plain sh + # (C) 2006 Friedrich Lobenstock <fl...@fl...> + # + # usage: + # busy& busypid=$! + # command_which_takes_a_long_time + # kill $busypid >/dev/null 2>&1 + + # define the characters which make up the rotating busy sign + local Indicator_1="|" + local Indicator_2="/" + local Indicator_3="-" + local Indicator_4="\\" + local n=4 # n characters represent one rotation + + local PRINTED=0 # did we print a character or not + + trap cleanup 1 2 3 6 15 + + cleanup () { + [ $PRINTED = 1 ] && echo -ne "\\b \\b" # cleanup in case + exit 0 + } + + local i=1 + while true; do + eval Indicator=\$Indicator_$i + echo -n "$Indicator" && PRINTED=1 + let i++ && [ $i = $n ] && i=1 + usleep ${DELAY} + echo -ne "\\b" && PRINTED=0 + done +} + +# helper function to start the busy indicator +busy_start () { + busy& busypid=$! +} + +# helper function to stop the busy indicator +busy_stop () { + kill $busypid >/dev/null 2>&1; usleep ${DELAY} +} + +run_from_ram () { + # + # usage: run_from_ram [--cdrom|--file] + # + # parameters: + # --cdrom try to load a cdrom to ram + # --file try to load an iso image file to ram + # + # returns: + # 0 systems is running from ram + # 1 either not configured to run from ram + # or there was an error, but we can still + # boot the standard way + # + + local IS_CDROM=""; local IS_FILE=""; local MEDIATYPE="" + while [ $# -gt 0 ]; do + case "$1" in + --cdrom ) IS_CDROM="yes"; MEDIATYPE="CDROM" + IS_FILE="" + ;; + --file ) IS_FILE="yes"; MEDIATYPE="FILE" + IS_CDROM="" + ;; + esac + shift + done + # we need either --cdrom or --file to be set + if ! [ "${IS_CDROM}" -o "${IS_FILE}" ]; then + $RED + echo "ERROR: run_from_ram was called with neither the --cdrom nor the --file option" + echo + echo 'Please report to bu...@de...' + echo + $NORMAL + sleep 10 + return 1 + fi + + # check if we already have a config loaded + if [ -e "/etc/Devil-release" -a "/etc/sysconfig/config" ]; then + # load main config file + . /etc/sysconfig/config + else + # nothing I can do about it, no config, no variable RUNFROMRAM + return 1 + fi + + # check if we should run from ram or not + [ -z "${RUNFROMRAM}" -o "${RUNFROMRAM}" != "yes" ] && return 1 + + ## FIXME + # we should probably define these somewhere more central + local RAMDISK=/shm/sys # this has to be under /shm as this one is mount moved in linuxrc + local FILEMOUNT=/cd + local ISOFILE=bootcd.iso + + # show that we are configured to run from ram + $YELLOW; echo 'System is configured to run from ram'; $NORMAL + + local IMAGE_SIZE; local IMAGE_SIZE_MB; local RAMDISK_SIZE + # get size of image so we can estimate the needed ramdisk space + case ${MEDIATYPE} in + CDROM ) IMAGE_SIZE=$(df ${mountpoint} | grep "${mountpoint}" | awk '{print $(NF-4)}');; + FILE ) IMAGE_SIZE=$(du -k ${FILEMOUNT}/${ISOFILE} | awk '{print $1}');; + esac + let IMAGE_SIZE_MB=IMAGE_SIZE*10/1024+5 # do correct rounding + let IMAGE_SIZE_MB=IMAGE_SIZE_MB/10 + # add some megs as a safety margin (also needed for safety check below) + let RAMDISK_SIZE=IMAGE_SIZE_MB+5 + + # create a ramdisk for the system ISO image + mkdir -p ${RAMDISK} + /sbin/mount -n -t tmpfs -o size=${RAMDISK_SIZE}m shmfs ${RAMDISK} + + echo -n "Copying system image (${IMAGE_SIZE_MB} MB) to ramdisk..." + busy_start + case ${MEDIATYPE} in + CDROM ) # don't keep it mounted while copying + /sbin/umount -n ${mountpoint} + # it's a CDROM drive therefore we use a blocksize of 2k + dd if=$disk of=${RAMDISK}/${ISOFILE} bs=2048 >/dev/null 2>&1 + ;; + FILE ) # it's a file so copy will do + cp ${FILEMOUNT}/${ISOFILE} ${RAMDISK}/${ISOFILE} >/dev/null 2>&1 + ;; + esac + busy_stop + echo done. + + # in case of an error we need to clean up + run_from_ram_cleanup () { + $YELLOW; echo "Falling back to standard mount..."; $NORMAL + sleep 10 + /sbin/umount -n ${mountpoint} > /dev/null 2>&1 + /sbin/umount -n ${RAMDISK} > /dev/null 2>&1 + # revert back to standard mount if needed + [ ${IS_CDROM} ] && /sbin/mount -n -t iso9660 -o ro $disk ${mountpoint} + } + + # check if ramdisk is full, then this is an indication that the image was to big during + # copying - this should never happen, but better save than sorry + if [ "$(df ${RAMDISK} | grep "${RAMDISK}" | awk '{print $(NF-2)}')" -eq 0 ]; then + $RED; + echo "ERROR: ramdisk size calculation error" + echo " the image to copy was bigger than expected" + echo + echo 'Please report to bu...@de...' + echo + $NORMAL + run_from_ram_cleanup + return 1 + fi + + # get size of the copied image + local REAL_SIZE=$(du -k ${RAMDISK}/${ISOFILE} | awk '{print $1}') + let REAL_SIZE=REAL_SIZE*10/1024+5 # do correct rounding + let REAL_SIZE=REAL_SIZE/10 + + # check if we at least match the image size estimated before + if [ ${REAL_SIZE} -lt ${IMAGE_SIZE_MB} ]; then + $RED; + echo "FATAL-ERROR: copying failed - only ${REAL_SIZE} MB out of ${IMAGE_SIZE_MB} MB copied" + echo ' a possible source of this problem could be:' + echo ' * read errors - media defective?' + echo ' * out of RAM - need to install more RAM?' + echo + $NORMAL + run_from_ram_cleanup + return 1 + fi + + # recalculate the needed ramdisk size + RAMDISK_SIZE=$(df -k ${RAMDISK} | grep "${RAMDISK}" | awk '{print $(NF-3)}') + + # mount ramdisk read-only and reduce to minimal size + /sbin/mount -n -o remount,ro,size=${RAMDISK_SIZE}k shmfs ${RAMDISK} + + # loop mount final ISO image from ramdisk + /sbin/mount -n -t iso9660 -o loop,ro ${RAMDISK}/${ISOFILE} ${mountpoint} + if [ $? -ne 0 ]; then + $RED; + echo "FATAL-ERROR: mounting the copied image failed" + echo + echo 'Please report to bu...@de...' + echo + $NORMAL + run_from_ram_cleanup + return 1 + fi + + # no need to keep the original location mounted + [ ${IS_FILE} ] && /sbin/umount -n ${FILEMOUNT} + + # finally done + $GREEN; echo 'System is now fully running from RAM'; $NORMAL + return 0 +} + +if [ ! $silent ]; then + $GREEN + echo "Searching for Devil-Linux CD-ROM" + $NORMAL fi # generate list of cdroms from devfs @@ -31,8 +256,8 @@ $NORMAL CDROMS=$DEVICE_USER fi - -if [ "$3" != "silent" ]; then + +if [ ! $silent ]; then $GREEN echo "Search list: $CDROMS" $NORMAL @@ -41,20 +266,24 @@ for disk in $CDROMS do echo -n "checking $disk " - if /sbin/mount -n -t iso9660 -o ro $disk $1 2> /dev/null; then - if [ -e $1/DEVIL-LINUX ] ; then - if [ "$3" != "silent" ]; then + if /sbin/mount -n -t iso9660 -o ro $disk ${mountpoint} 2> /dev/null; then + if [ -e ${mountpoint}/DEVIL-LINUX ] ; then + if [ ! $silent ]; then $YELLOW echo -e "Found on $disk" $NORMAL fi echo $disk > /shm/DL_DEVICE + + # run from ram if correct variable is set + run_from_ram --cdrom + exit 0 else $YELLOW echo "wrong media" $NORMAL - umount $1 + /sbin/umount ${mountpoint} fi else $RED @@ -77,7 +306,7 @@ for disk in $DISCS do - echo -n "checking $disk " + echo -n " checking $disk ... " if /sbin/mount -n -t auto -o rw,noatime $disk /cd 2> /dev/null; then if [ -e /cd/DEVIL-LINUX ] ; then $GREEN @@ -104,7 +333,7 @@ echo "Upgrading System Boot Files" $NORMAL - /sbin/mount -o loop -t iso9660 /cd/bootcd.iso /cdrom + /sbin/mount -o loop=/dev/loop0 -t iso9660 /cd/bootcd.iso /cdrom cp -fp /cdrom/boot/* /cd/boot/ 2> /dev/null cp -fp /cdrom/DEVIL-LINUX /cd/ @@ -113,12 +342,12 @@ chmod -R u+rw,g-rwx,o-rwx /cd/* sync - umount /cdrom &> /dev/null + /sbin/umount /cdrom &> /dev/null $GREEN echo "Mounting old version" $NORMAL - /sbin/mount -o loop -t iso9660 /cd/bootcd.iso.old $1 || return 1 + /sbin/mount -o loop=/dev/loop0 -t iso9660 /cd/bootcd.iso.old ${mountpoint} || return 1 echo $disk > /shm/DL_DEVICE dl_version=`cat /cd/DEVIL-LINUX 2> /dev/null` exit 0 @@ -130,19 +359,23 @@ $NORMAL fi if [ -e /cd/bootcd.iso ] ; then - # since this could be flash disk, lets make read-only. - # Should not write to this mount anymore anyway. It - # is attempted to umount it in pre_init but will fail - # because bootcd.iso is still mounted inside it. - # RO will make it less painfull. - /sbin/mount -o remount,ro,noatime $disk 2> /dev/null - /sbin/mount -o loop -t iso9660 /cd/bootcd.iso $1 || return 1 echo $disk > /shm/DL_DEVICE - dl_version=`cat /cd/DEVIL-LINUX 2> /dev/null` - if [ "$3" != "silent" ]; then - $YELLOW - echo -e "\nFound ISO ($dl_version) on $disk" - $NORMAL + + # run from ram if correct variable is set + if ! run_from_ram --file; then + # since this could be flash disk, lets make read-only. + # Should not write to this mount anymore anyway. It + # is attempted to umount it in pre_init but will fail + # because bootcd.iso is still mounted inside it. + # RO will make it less painfull. + /sbin/mount -o remount,ro,noatime $disk 2> /dev/null + /sbin/mount -o loop=/dev/loop0 -t iso9660 /cd/bootcd.iso ${mountpoint} || return 1 + dl_version=`cat /cd/DEVIL-LINUX 2> /dev/null` + if [ ! $silent ]; then + $YELLOW + echo -e "\nFound ISO ($dl_version) on $disk" + $NORMAL + fi fi exit 0 fi @@ -150,7 +383,7 @@ $YELLOW echo "wrong media" $NORMAL - umount /cd + /sbin/umount /cd fi else $RED @@ -160,13 +393,13 @@ done -if [ "$3" != "silent" ]; then +if [ ! $silent ]; then $RED echo "!!! Devil-Linux CD-ROM not found !!!" $NORMAL fi -[ "$2" = "noreboot" ] && exit 1 +[ $noreboot ] && exit 1 $RED echo |
|
From: Serge L. <sma...@us...> - 2007-07-23 13:49:00
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv5673 Modified Files: mount_cdrom Log Message: - we use mount from util-linux instead of busybox's one (bb bug prevents loop mounting) Index: mount_cdrom =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v retrieving revision 1.39 retrieving revision 1.40 diff -u -d -r1.39 -r1.40 --- mount_cdrom 23 Oct 2006 21:02:00 -0000 1.39 +++ mount_cdrom 23 Jul 2007 13:48:54 -0000 1.40 @@ -41,7 +41,7 @@ for disk in $CDROMS do echo -n "checking $disk " - if mount -n -t iso9660 -o ro $disk $1 2> /dev/null; then + if /sbin/mount -n -t iso9660 -o ro $disk $1 2> /dev/null; then if [ -e $1/DEVIL-LINUX ] ; then if [ "$3" != "silent" ]; then $YELLOW @@ -78,7 +78,7 @@ for disk in $DISCS do echo -n "checking $disk " - if mount -n -t auto -o rw,noatime $disk /cd 2> /dev/null; then + if /sbin/mount -n -t auto -o rw,noatime $disk /cd 2> /dev/null; then if [ -e /cd/DEVIL-LINUX ] ; then $GREEN echo "media found" @@ -104,7 +104,7 @@ echo "Upgrading System Boot Files" $NORMAL - mount -o loop=/dev/loop0 -t iso9660 /cd/bootcd.iso /cdrom + /sbin/mount -o loop -t iso9660 /cd/bootcd.iso /cdrom cp -fp /cdrom/boot/* /cd/boot/ 2> /dev/null cp -fp /cdrom/DEVIL-LINUX /cd/ @@ -118,7 +118,7 @@ $GREEN echo "Mounting old version" $NORMAL - mount -o loop=/dev/loop0 -t iso9660 /cd/bootcd.iso.old $1 || return 1 + /sbin/mount -o loop -t iso9660 /cd/bootcd.iso.old $1 || return 1 echo $disk > /shm/DL_DEVICE dl_version=`cat /cd/DEVIL-LINUX 2> /dev/null` exit 0 @@ -135,8 +135,8 @@ # is attempted to umount it in pre_init but will fail # because bootcd.iso is still mounted inside it. # RO will make it less painfull. - mount -o remount,ro,noatime $disk 2> /dev/null - mount -o loop=/dev/loop0 -t iso9660 /cd/bootcd.iso $1 || return 1 + /sbin/mount -o remount,ro,noatime $disk 2> /dev/null + /sbin/mount -o loop -t iso9660 /cd/bootcd.iso $1 || return 1 echo $disk > /shm/DL_DEVICE dl_version=`cat /cd/DEVIL-LINUX 2> /dev/null` if [ "$3" != "silent" ]; then |
|
From: Björn R. <br...@us...> - 2007-07-23 13:24:35
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv29565 Modified Files: reiserfsprogs Log Message: remove duplicates of debugfsreiserfs(debugfs.reiserfs), resize_reiserfs(resizefs.reiserfs) and reiserfstune(tunefs.reiserfs) Index: reiserfsprogs =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/reiserfsprogs,v retrieving revision 1.17 retrieving revision 1.18 diff -u -d -r1.17 -r1.18 --- reiserfsprogs 29 Dec 2004 03:14:27 -0000 1.17 +++ reiserfsprogs 23 Jul 2007 13:24:29 -0000 1.18 @@ -38,6 +38,9 @@ cp -dpR $TMPDIR/* $CDDIR || exit 1 ln -sf mkreiserfs $CDDIR/sbin/mkfs.reiserfs || exit 1 ln -sf reiserfsck $CDDIR/sbin/fsck.reiserfs || exit 1 + ln -sf debugreiserfs $CDDIR/sbin/debugfs.reiserfs || exit 1 + ln -sf reiserfstune $CDDIR/sbin/tunefs.reiserfs || exit 1 + ln -sf resize_reiserfs $CDDIR/sbin/resizefs.reiserfs || exit 1 rm -rf $TMPDIR || exit 1 ;; |
|
From: Serge L. <sma...@us...> - 2007-07-23 11:03:37
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv10818 Modified Files: squid Log Message: - removed duplicated ntlm_auth Index: squid =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/squid,v retrieving revision 1.25 retrieving revision 1.26 diff -u -d -r1.25 -r1.26 --- squid 25 Nov 2006 20:41:27 -0000 1.25 +++ squid 23 Jul 2007 11:03:08 -0000 1.26 @@ -63,6 +63,8 @@ make install DESTDIR=$TMPDIR || exit 1 copy_docs $TMPDIR rm $TMPDIR/etc/*.default || exit 1 + # We use ntlm authenticator (ntlm_auth) from Samba-3.X + rm $TMPDIR/usr/sbin/ntlm_auth || exit 1 cp $TMPDIR/etc/* $ETCDIR/etc/ || exit 1 rm -rf $TMPDIR/etc || exit 1 cp -dpR $TMPDIR/* $CDDIR/ || exit 1 |
|
From: Serge L. <sma...@us...> - 2007-07-20 09:09:14
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv10749 Modified Files: coreutils Log Message: - removed duplicated files Index: coreutils =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/coreutils,v retrieving revision 1.15 retrieving revision 1.16 diff -u -d -r1.15 -r1.16 --- coreutils 5 Dec 2005 16:49:15 -0000 1.15 +++ coreutils 20 Jul 2007 09:06:15 -0000 1.16 @@ -49,6 +49,9 @@ mv $TMPDIR/usr/bin/{sleep,stty,test,touch,true,uname} $TMPDIR/bin || exit 1 mv $TMPDIR/usr/bin/chroot $TMPDIR/usr/sbin rm $TMPDIR/usr/bin/su + # duplicate (net-tools , shadow) + rm $TMPDIR/usr/bin/{hostname,groups} || exit 1 + copy_docs $TMPDIR cp -dpR $TMPDIR/* $CDDIR/ || exit 1 |
|
From: Serge L. <sma...@us...> - 2007-07-18 14:34:47
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv8866 Modified Files: CHANGES Log Message: - fixed some issues Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1111 retrieving revision 1.1112 diff -u -d -r1.1111 -r1.1112 --- CHANGES 6 Jul 2007 05:23:32 -0000 1.1111 +++ CHANGES 18 Jul 2007 14:34:44 -0000 1.1112 @@ -22,6 +22,8 @@ # 1.3.4 +- fixed trailing dot (.) on the module name (sl + Björn Rudner) +- fixed dublicated 'ifconfig' (sl / Roy Barnard) - updated dante to 1.1.19 (sl) - updated device-mapper to 1.02.19 (sl) - updated LVM2 to 2.02.25 (sl) |
|
From: Serge L. <sma...@us...> - 2007-07-18 14:29:42
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7998 Modified Files: setup Log Message: -- fixed trailing dot (.) on the module name Index: setup =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/setup,v retrieving revision 1.27 retrieving revision 1.28 diff -u -d -r1.27 -r1.28 --- setup 10 Nov 2005 14:31:21 -0000 1.27 +++ setup 18 Jul 2007 14:29:39 -0000 1.28 @@ -467,7 +467,7 @@ MODULE) rm -f $TMP echo -en "\n\nLocating all network modules, please wait ..." - for i in $(find /lib/modules/$(uname -r)/net /lib/modules/$(uname -r)/kernel/drivers/net -type f -printf "%f\n"|grep -v -e mii.o -e aironet4500_core.o -e aironet4500_proc.o -e arlan-proc.o -e bonding.o -e bsd_comp.o -e dummy.o -e eql.o -e ethertap.o -e plip.o -e ppp -e slhc.o -e slip.o -e strip.o|sed 's/.o$//'|sort|uniq) + for i in $(find /lib/modules/$(uname -r)/net /lib/modules/$(uname -r)/kernel/drivers/net -type f -printf "%f\n"|grep -v -e mii.ko -e aironet4500_core.ko -e aironet4500_proc.ko -e arlan-proc.ko -e bonding.ko -e bsd_comp.ko -e dummy.ko -e eql.ko -e ethertap.ko -e plip.ko -e ppp -e slhc.ko -e slip.ko -e strip.ko|sed 's/.ko$//'|sort|uniq) do SEL="off" [ $i = "$MOD" ] && SEL="on" |
|
From: Serge L. <sma...@us...> - 2007-07-18 05:56:06
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv13909 Modified Files: inetutils Log Message: -- we will use ifconfig from net-tools package Index: inetutils =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/inetutils,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- inetutils 20 Mar 2007 02:41:45 -0000 1.5 +++ inetutils 18 Jul 2007 05:55:56 -0000 1.6 @@ -33,7 +33,8 @@ ./configure --prefix=/usr --libexecdir=/usr/sbin \ --sysconfdir=/etc --localstatedir=/var \ --disable-logger --disable-syslogd \ - --disable-whois --disable-servers || exit 1 + --disable-whois --disable-servers \ + --disable-ifconfig || exit 1 make $PMAKE all || exit 1 strip_debug |
|
From: Serge L. <sma...@us...> - 2007-07-11 13:48:45
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv15100 Modified Files: man Log Message: -- added "-d" to gzip decompressor because /bin/gunzip is symlink to /bin/gzip Index: man =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/man,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- man 12 Dec 2004 21:48:08 -0000 1.9 +++ man 11 Jul 2007 13:47:51 -0000 1.10 @@ -25,6 +25,7 @@ case $1 in build ) + replace_str ./configure 'gunzip -c' 'gunzip -c -d' ./configure -default -confdir=/etc make && strip_debug |
|
From: Heiko Z. <smi...@us...> - 2007-07-10 15:19:14
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv21483 Modified Files: sponsors.php Log Message: and another one Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.37 retrieving revision 1.38 diff -u -d -r1.37 -r1.38 --- sponsors.php 9 Jul 2007 11:52:59 -0000 1.37 +++ sponsors.php 10 Jul 2007 15:19:09 -0000 1.38 @@ -9,6 +9,10 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> + <td><a href="http://www.fosstools.org" target="_blank">Foss Tools</a></td> + <td align="right">$15</td> +</tr> +<tr> <td><a href="http://www.adiusa.com" target="_blank">Free Ringtones and Wallpapers - Download Mobile Ringtones</a></td> <td align="right">$50</td> </tr> |
|
From: Serge L. <sma...@us...> - 2007-07-09 12:43:19
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv11422 Modified Files: mountfs Log Message: -- fix umount filesystem Index: mountfs =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/mountfs,v retrieving revision 1.42 retrieving revision 1.43 diff -u -d -r1.42 -r1.43 --- mountfs 20 Apr 2007 13:22:03 -0000 1.42 +++ mountfs 9 Jul 2007 12:43:14 -0000 1.43 @@ -198,7 +198,7 @@ echo -n "Unmounting file systems..." #/bin/umount -n -a -r - cat /proc/mounts | cut -f -3 -d " " | grep -v -e "shm$" -e "rootfs$" -e "devfs$" -e " proc" | cut -f 2 -d " " | xargs -n 1 umount -rn + cat /proc/mounts | cut -f -3 -d " " | grep -v -e "tmpfs$" -e "rootfs$" -e "sysfs$" -e " proc" -e "devpts$" | cut -f 2 -d " " | xargs -n 1 umount -rn evaluate_retval # shutdown LVM if tools are installed |
|
From: Heiko Z. <smi...@us...> - 2007-07-09 11:53:12
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv25608 Modified Files: sponsors.php Log Message: start links in new window Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.36 retrieving revision 1.37 diff -u -d -r1.36 -r1.37 --- sponsors.php 5 Jul 2007 12:07:36 -0000 1.36 +++ sponsors.php 9 Jul 2007 11:52:59 -0000 1.37 @@ -9,15 +9,15 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> - <td><a href="http://www.adiusa.com">Free Ringtones and Wallpapers - Download Mobile Ringtones</a></td> + <td><a href="http://www.adiusa.com" target="_blank">Free Ringtones and Wallpapers - Download Mobile Ringtones</a></td> <td align="right">$50</td> </tr> <tr> - <td><a href="http://www.business-inc.co.uk/" title="We support FOSS projects.">Company Formation</a> -- We use and support FOSS products.</td> + <td><a href="http://www.business-inc.co.uk/" title="We support FOSS projects." target="_blank">Company Formation</a> -- We use and support FOSS products.</td> <td align="right">$50</td> </tr> <tr> - <td><a href="http://www.onlinespiele-1.de">Spiele Online</a></td> + <td><a href="http://www.onlinespiele-1.de" target="_blank">Spiele Online</a></td> <td align="right">$50</td> </tr> <tr> |
|
From: Heiko Z. <smi...@us...> - 2007-07-06 14:43:30
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv5463/scripts Modified Files: syslinux Log Message: name of config parameter changed Index: syslinux =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/syslinux,v retrieving revision 1.21 retrieving revision 1.22 diff -u -d -r1.21 -r1.22 --- syslinux 15 Jun 2007 13:23:54 -0000 1.21 +++ syslinux 6 Jul 2007 14:43:25 -0000 1.22 @@ -31,7 +31,7 @@ touch .done_dl_patch fi - if [ "$CONFIG_GCC_STACK_PROTECTOR" = "y" ]; then + if [ "$CONFIG_GCC_HARDENED" = "y" ]; then make $PMAKE CC="gcc -nopie -fno-stack-protector" install|| exit 1 else make $PMAKE install|| exit 1 |
|
From: Serge L. <sma...@us...> - 2007-07-06 05:27:59
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv32533/scripts Removed Files: unionfs Log Message: -- functionality was transferred to script/prepare --- unionfs DELETED --- |
|
From: Serge L. <sma...@us...> - 2007-07-06 05:23:34
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv30756 Modified Files: CHANGES Log Message: - updated some packeges Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1110 retrieving revision 1.1111 diff -u -d -r1.1110 -r1.1111 --- CHANGES 18 Jun 2007 17:41:20 -0000 1.1110 +++ CHANGES 6 Jul 2007 05:23:32 -0000 1.1111 @@ -22,6 +22,14 @@ # 1.3.4 +- updated dante to 1.1.19 (sl) +- updated device-mapper to 1.02.19 (sl) +- updated LVM2 to 2.02.25 (sl) +- updated ipsec-tools to 0.6.7 (sl) +- updated iptables to 1.3.8 (sl) +- updated mppe-mppcpatch for 2.6.21 kernel (sl) +- updated unionfs for 2.6.21.5 kernel (sl) +- updated kernel to 2.6.21.5 (sl) - start postfix and dovecot after ntp - updated Mail-SpamAssassin to 3.2.1 - updated bind to 9.4.1 @@ -44,4 +52,4 @@ - updated tar to 1.17 - updated vtun to 3.0.1 - updated zisofs-tools to 1.0.8 -- emptied Changlog \ No newline at end of file +- emptied Changlog |
|
From: Serge L. <sma...@us...> - 2007-07-06 05:22:21
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv30395/scripts Modified Files: prepare Log Message: - made mask for filename Index: prepare =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/prepare,v retrieving revision 1.65 retrieving revision 1.66 diff -u -d -r1.65 -r1.66 --- prepare 6 Jul 2007 05:15:22 -0000 1.65 +++ prepare 6 Jul 2007 05:22:18 -0000 1.66 @@ -86,7 +86,7 @@ if [ "$CONFIG_UNIONFS" == "y" ]; then if [ ! -f devil-linux-unionfs-kernel-patches.done ]; then touch devil-linux-unionfs-kernel-patches.done - zcat $SRCDIR/linux-2.6.21-u2.diff.gz | patch -p1 || exit 1 + zcat $SRCDIR/linux-2.6.*-u2.diff.gz | patch -p1 || exit 1 fi fi |
|
From: Serge L. <sma...@us...> - 2007-07-06 05:15:27
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv27927/scripts Modified Files: prepare Log Message: -- updated unionfs Index: prepare =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/prepare,v retrieving revision 1.64 retrieving revision 1.65 diff -u -d -r1.64 -r1.65 --- prepare 27 Mar 2007 15:42:04 -0000 1.64 +++ prepare 6 Jul 2007 05:15:22 -0000 1.65 @@ -77,8 +77,19 @@ cat $KERNEL_CONFIG_DIR/config_linux.sysrq >> $KERNELDIR/.config || exit 1 fi + if [ "$CONFIG_UNIONFS" == "y" ]; then + cat $KERNEL_CONFIG_DIR/config_linux.unionfs >> $KERNELDIR/.config || exit 1 + fi + pushd $KERNELDIR > /dev/null + if [ "$CONFIG_UNIONFS" == "y" ]; then + if [ ! -f devil-linux-unionfs-kernel-patches.done ]; then + touch devil-linux-unionfs-kernel-patches.done + zcat $SRCDIR/linux-2.6.21-u2.diff.gz | patch -p1 || exit 1 + fi + fi + if [ ! -f devil-linux-kernel-patches.done ]; then touch devil-linux-kernel-patches.done for PATCH in $(ls $WORKDIR/kernel-patches-$CONFIG_LINUX_VERSION/* 2> /dev/null ) |
|
From: Serge L. <sma...@us...> - 2007-07-06 04:19:22
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv8118/scripts Modified Files: mdadm pptp-patches Log Message: - enabled mppc-mppe - added small fix for mdadm Index: pptp-patches =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/pptp-patches,v retrieving revision 1.19 retrieving revision 1.20 diff -u -d -r1.19 -r1.20 --- pptp-patches 30 May 2007 12:47:40 -0000 1.19 +++ pptp-patches 6 Jul 2007 04:19:17 -0000 1.20 @@ -29,9 +29,9 @@ if [ "$CONFIG_POPTOP" = "y" ] || [ "$CONFIG_PPTP_CLIENT" = "y" ]; then pushd $KERNELDIR || exit 1 - #bzcat $SRCDIR/linux-2.6.*-mppe-mppc-*.patch.bz2 | patch -p1 || exit 1 + bzcat $SRCDIR/linux-2.6.*-mppe-mppc-*.patch.bz2 | patch -p1 || exit 1 - #echo "CONFIG_PPP_MPPE_MPPC=m" >> $KERNELDIR/.config || exit 1 + echo "CONFIG_PPP_MPPE_MPPC=m" >> $KERNELDIR/.config || exit 1 fi fi ;; Index: mdadm =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mdadm,v retrieving revision 1.10 retrieving revision 1.11 diff -u -d -r1.10 -r1.11 --- mdadm 25 Apr 2005 13:24:50 -0000 1.10 +++ mdadm 6 Jul 2007 04:19:17 -0000 1.11 @@ -26,6 +26,11 @@ case $1 in build ) if [ "$CONFIG_MDADM" = "y" ]; then + if [ ! -f devil-linux-mdadm-patch.done ]; then + bzcat $DL_DIR/src/mdadm-*.patch.bz2 | patch -p1 || exit 1 + touch devil-linux-mdadm-patch.done + fi + make $PMAKE all || exit 1 strip_debug fi |
|
From: Serge L. <sma...@us...> - 2007-07-06 04:16:22
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv5658 Modified Files: md5sum.lst Log Message: - updated dante to 1.1.19 - updated device-mapper to 1.02.19 - updated ipsec-tools to 0.6.7 - updated iptables to 1.3.8 - updated mppe-mppcpatch for 2.6.21 kernel - updated unionfs for 2.6.21.5 kernel - updated kernel to 2.6.21.5 - added mdadm-2.6.2.patch Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.357 retrieving revision 1.358 diff -u -d -r1.357 -r1.358 --- md5sum.lst 15 Jun 2007 13:59:39 -0000 1.357 +++ md5sum.lst 6 Jul 2007 04:16:17 -0000 1.358 @@ -86,7 +86,7 @@ 42dc0473dfe07df853308d2f0b1df598 src/IMQ-iptables-1.3.0.diff.bz2 55c64bb056b8172ef6eeaf182dccae70 src/ImageMagick-6.3.1-2.tar.bz2 f75e97be15f2238508d8c43f833739e1 src/LPRng-3.8.29-RC2.tar.gz -a0e631f7bdb75fb4d6486d2b1fa64a40 src/LVM2.2.02.23.tgz +42dce454618770aa1754c793cbb1cbbb src/LVM2.2.02.25.tgz 1661b8338a41ba4a31f61078162a421e src/Linux-PAM-0.99.2.1.patch.bz2 385458dfb4633071594e255a6ebec9da src/Linux-PAM-0.99.7.1.tar.bz2 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz @@ -152,7 +152,7 @@ c3effff791f4f1386d00a6a68722a688 src/daemontools-0.76.errno.patch.bz2 0b4c4417aa149c4523a071647ad6778f src/daemontools-0.76.tar.gz aa619607198f37a528dbb65e4a503beb src/dansguardian-2.8.0.6.source.tar.gz -b6f5e1a00c7311f99632ed300ce26f5f src/dante-1.1.18.tar.gz +58b56d1e964f3f0186f3eeed3d95d9a4 src/dante-1.1.19.tar.gz 30b2e488f11e1ab60510fa198de23791 src/dar-2.3.3.tar.gz d84dff288a19186b136b0daf7067ade3 src/db-4.4.20.tar.gz 0552a9b54beb4a044951b7cdbc8fc855 src/dbus-1.0.2.tar.gz @@ -160,7 +160,7 @@ d5ece24fb8c24f353c3c93218f8fb24b src/debianutils_2.8.4.tar.gz 7280094f6cc7952051031334d2fdfd14 src/denyhosts.diff.gz 29ade831880b2e0a91d4f49cb73a22dd src/denyhosts_2.5-3.diff.gz -8ccb87923a9f33580205e5a9b39c8d58 src/device-mapper.1.02.18.tgz +37cb592a1fa8fc31dc00cb437bbb4969 src/device-mapper.1.02.19.tgz ce5d30d4645e4eab1f54561b487d1ec7 src/dhcp-3.0.5.tar.gz b84d34a44b6667ea012e0aad4f9d71bd src/dhcpcd-2.0.0.tar.bz2 de491252e0329e67aed27d1d01eed120 src/dialog_0.9b-20030308.orig.tar.gz @@ -252,9 +252,9 @@ f9ed8a729145ae613b3cdc518f1750e3 src/ipac-ng-1.31.tar.bz2 969832f3a42fc25b44045d73ea483f18 src/ipcalc.tar.bz2 7bc5883aadf740761fa2dd70b661e8cc src/iproute2-2.6.20-070313.tar.gz -4593bd5e1117a10f2d0f4b656de36208 src/ipsec-tools-0.6.5.tar.bz2 +4fb764f282dc21cf9a656c58e13dacbb src/ipsec-tools-0.6.7.tar.bz2 74ce3226b30cdd386630250bdc3488ef src/ipset-2.2.9a-20061009.tar.bz2 -dd965bdacbb86ce2a6498829fddda6b7 src/iptables-1.3.7.tar.bz2 +0a9209f928002e5eee9cdff8fef4d4b3 src/iptables-1.3.8.tar.bz2 377371c28ee3c21a76f7024920649ea8 src/iptraf-3.0.0.tar.gz 794b17e087398ec3056ffee57b00106c src/iptraf-include-fix.diff.bz2 c7a487ef026bb883f04c3ffa631ee20c src/iptraf-netdevice-fix.diff.bz2 @@ -312,8 +312,9 @@ f5806f5059ef7bd4d3fcf36cf116d1ef src/libxml2-2.6.27.tar.gz 622e5843167593c8ea39bf86c66b8fcf src/libxslt-1.1.19.tar.gz 9613e6753abc86e26ff9d5425f24c17a src/linux-2.6.10-protector-1.patch.bz2 -cd9ecde50db91db821fdd2307c31e5db src/linux-2.6.20-mppe-mppc-1.3.patch.bz2 -95dfe921a0749a613e2e1aa1d389577d src/linux-2.6.21.2.tar.bz2 +b0277e956b073699d0034130f273deed src/linux-2.6.21-mppe-mppc-1.3.patch.bz2 +2e9a302b5d514b231640227d6a2ab7bf src/linux-2.6.21.5.tar.bz2 +8d1414adfd7fde2a9174bc7132daec1e src/linux-2.6.21.5-u2.diff.gz 31c51eae1f8b7f2de1cd73639a9b6a44 src/linux-wlan-ng-0.2.7.patch.bz2 b2b0ffd11d27c72a9c01b8a9ef3832b7 src/linux-wlan-ng-0.2.7.tar.bz2 55d77146fbd56c205a9f81d262b9453c src/lm_sensors-2.10.3.tar.gz @@ -331,6 +332,7 @@ 7e2d47fb1c3176812e8fd03572e52c92 src/man-pages-1.65.tar.bz2 18b20db6e40480a53bac2870c56fc3c4 src/mc-4.6.1.tar.gz 19d9f0b15fe68a7cae7e9faa02859c89 src/mcrypt-2.6.5.tar.bz2 +0d1d65136962cacbf7757d2672f213bd src/mdadm-2.6.2.patch.bz2 87089d35d6a308ee3b3ebc34824e1629 src/mdadm-2.6.2.tar.bz2 46028d276c39c2eebe7759ba813f97df src/memtest86-3.2.tar.gz 4b80c418bc58add3e40de3be0ac6c02a src/mgetty1.1.30-Dec16.tar.gz |